
From: Andrew Morton <akpm@osdl.org>

Cc: Christoph Lameter <christoph@lameter.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/vmlinux.lds.S |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/vmlinux.lds.S~kexec-x86_64-optimise-storage-of-read-mostly-variables-x86_64-fix arch/x86_64/kernel/vmlinux.lds.S
--- 25/arch/x86_64/kernel/vmlinux.lds.S~kexec-x86_64-optimise-storage-of-read-mostly-variables-x86_64-fix	Thu May 12 13:29:49 2005
+++ 25-akpm/arch/x86_64/kernel/vmlinux.lds.S	Thu May 12 13:29:49 2005
@@ -58,7 +58,10 @@ SECTIONS
   }
 
    . = ALIGN(CONFIG_X86_L1_CACHE_BYTES);
-   .data.mostly_readonly : { *(.data.mostly_readonly) }
+   .data.mostly_readonly : AT(ADDR(.data.mostly_readonly) - LOAD_OFFSET) {
+ 	*(.data.mostly_readonly)
+
+   }
 
 #define VSYSCALL_ADDR (-10*1024*1024)
 #define VSYSCALL_PHYS_ADDR ((LOADADDR(.data.cacheline_aligned) + SIZEOF(.data.cacheline_aligned) + 4095) & ~(4095))
_
